
From: "Andi Kleen" <ak@suse.de>

Fix sparse warnings

    warning: cast removes address space of expression

	for uses of put_user() on x86_64 caused by doing __m(addr) in
	__put_user_asm() with addr a __user pointer.

Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-x86_64/uaccess.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-x86_64/uaccess.h~x86_64-fix-sparse-warnings include/asm-x86_64/uaccess.h
--- 25/include/asm-x86_64/uaccess.h~x86_64-fix-sparse-warnings	2005-01-09 23:01:18.281603880 -0800
+++ 25-akpm/include/asm-x86_64/uaccess.h	2005-01-09 23:01:18.284603424 -0800
@@ -172,7 +172,7 @@ do {									\
 
 /* FIXME: this hack is definitely wrong -AK */
 struct __large_struct { unsigned long buf[100]; };
-#define __m(x) (*(struct __large_struct *)(x))
+#define __m(x) (*(struct __large_struct __user *)(x))
 
 /*
  * Tell gcc we read from memory instead of writing: this is because
_
